package agilpizza.modelo;


import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertFalse;
import static junit.framework.Assert.assertTrue;

import org.junit.Test;

import agilpizza.Constantes;
import agilpizza.dao.IngredienteDAO;

public class PedidoItemPizzaTest {

	@Test
	public void testePizzaNaSessaoMudaDePreco() throws Exception {
		PizzaMontada pizzaMontada = new PizzaMontada();
		Ingrediente palmito = new Ingrediente("Palmito");
		palmito.setPreco(10.0);
		pizzaMontada.adicionaIngrediente(palmito);

		PedidoItemPizza pedido = new PedidoItemPizza(1, pizzaMontada);
		assertEquals(Constantes.ESTADO_NA_SESSAO, pedido.getEstadoDoItem());
		assertTrue(pedido.getPreco() == 20.0);
		
		palmito.setPreco(5.0);
		assertTrue(pedido.getPreco() == 15.0);
	}

	@Test
	public void testePizzaPedidaNaoMudaDePreco() throws Exception {
		PizzaMontada pizzaMontada = new PizzaMontada();
		Ingrediente palmito = new Ingrediente("Palmito");
		palmito.setPreco(10.0);
		pizzaMontada.adicionaIngrediente(palmito);

		PedidoItemPizza pedido = new PedidoItemPizza(1, pizzaMontada);
		pedido.setEstadoDoItem(Constantes.ESTADO_PIZZA_PEDIDA);
		assertTrue(pedido.getPreco() == 20.0);
		
		palmito.setPreco(5.0);
		assertFalse(pedido.getPreco() == 15.0);
	}
}
